# 运算符与记号

数学符号与函数的扩展文档在 [这里](@ref math-ops).

| 符号      | 含义                                                                                                                                         |
|:----------- |:----------------------------------------------------------------------------------------------------------------------------------------------- |
| `@m`        | 调用宏 `m`；随后是空格分割的表达式                                   |
| `!`         | 前缀 “not”（逻辑非）运算符                                                    |
| `a!( )`     | 在函数名的末尾，`!` 用作表示函数会修改参数（或多个参数）的约定 |
| `#`         | 开始单行注释                                                                   |
| `#=`        | 开始多行注释（可嵌套）                                               |
| `=#`        | 结束多行注释                                                                      |
| `$`         | 字符串和表达式插值                                                         |
| `%`         | 求余运算符                                                                          |
| `^`         | 指数运算符                                                                           |
| `&`         | 按位与                                                                                 |
| `&&`        | 短路布尔值和                                                                |
| `\|`        | 按位或                                                                                  |
| `\|\|`      | 短路布尔值或                                                                 |
| `⊻`         | 按位异或运算符                                                                        |
| `*`         | 乘法，或者矩阵乘法                                                                |
| `()`        | 空元组                                                                             |
| `~`         | 按位非(not)                                                                        |
| `\`         | 反斜线运算符                                                                          |
| `'`         | 复转置运算符Aᴴ                                                               |
| `a[]`       | 数组定标（调用[`getindex`](@ref) 或 [`setindex!`](@ref)）                          |
| `[,]`       | 向量字面构造器（调用[`vect`](@ref Base.vect)）                               |
| `[;]`       | 纵向拼接（调用 [`vcat`](@ref)或者[`hvcat`](@ref)）                          |
| `[    ]`    | 和空格分隔的表达式，横向拼接（调用[`hcat`](@ref) or [`hvcat`](@ref)） |
| `T{ }`      | 参数化类型实例化                                                               |
| `;`         | 语句运算符                                                                         |
| `,`         | 分隔函数参数或者元组成分                                             |
| `?`         | 三元条件运算符（如此使用： `条件 ? 真分支 : 假分支`）             |
| `""`        | 分界字符串字面值                                                                     |
| `''`        | 分界字符字面值                                                                  |
| ``` ` ` ``` | 分界外部操作（命令）指定                                           |
| `...`       | 拼接参数到函数调用或者声明一个可变参数的函数                         |
| `.`         | 存取对象/模块的命名空间（调用 [`getproperty`](@ref Base.getproperty) 或
[`setproperty!`](@ref Base.setproperty!)），
并且为逐元素函数调用（调用 [`broadcast`](@ref)）加前缀 |
| `a:b`       | 范围 a, a+1, a+2, ..., b                                                                   |
| `a:s:b`     | 范围 a, a+s, a+2s, ..., b                                                                  |
| `:`         | 为整个维度定标（初始下标：末尾下标），参照[`Colon`](@ref))                      |
| `::`        | 类型注释或 [`typeassert`](@ref)，取决于上下文                               |
| `:( )`      | 引用表达式                                                                           |
| `:a`        | 符号 a                                                                                    |
| `<:`        | [`子类型运算符`](@ref <:)                                                               |
| `>:`        | [`父类型运算符`](@ref >:) (reverse of subtype operator)                               |
| `===`       | [`"egal" 比较运算符`](@ref ===)                                                      |
